UberStudent Forums
http://uberstudent.com/phpBB/

adding ppa
http://uberstudent.com/phpBB/viewtopic.php?f=5&t=1309
Page 1 of 1

Author:  andyc [ Mon Feb 13, 2017 1:24 pm ]
Post subject:  adding ppa

hi i would just like to say this is the best linux distro i have tried.i have a small problem when i try to install a ppa this happens.


sudo add-apt-repository ppa:noobslab/themes
[sudo] password for andy:
Traceback (most recent call last):
File "/usr/lib/uberstudent/uberstudentSources/uberstudentSources.py", line 1387, in <module>
codename = config_parser.get("general", "base_codename")
File "/usr/lib/python2.7/ConfigParser.py", line 330, in get
raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'general'

also when i try to start software sources nothing happens

Author:  Stephen Ewen [ Mon Feb 13, 2017 11:02 pm ]
Post subject:  Re: adding ppa

Have you first applied all updates from the Update Manager, upper-right panel?

Author:  andyc [ Mon Feb 13, 2017 11:38 pm ]
Post subject:  Re: adding ppa

Yes all updates are installed.This seems to be recent problem i have installed ppas before no problem.


sudo add-apt-repository ppa:peterlevi/ppa
[sudo] password for andy:
Traceback (most recent call last):
File "/usr/lib/uberstudent/uberstudentSources/uberstudentSources.py", line 1387, in <module>
codename = config_parser.get("general", "base_codename")
File "/usr/lib/python2.7/ConfigParser.py", line 330, in get
raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'general'

I get the same thing with a different ppa.

Author:  Stephen Ewen [ Thu Feb 16, 2017 10:50 am ]
Post subject:  Re: adding ppa

Thank you very much for letting me know about this.

I was able to replicate the issue. I have fixed it and uploaded a new version of the package, uberstudentsources, into the UberStudent repository. Please run the Update Manager to install the new package version. You may need to click "Refresh" for the new package to show.

Kindly confirm for me that this solves the issue as expected per my testing of the package.

Author:  andyc [ Fri Feb 17, 2017 2:23 pm ]
Post subject:  Re: adding ppa

Thanks very much its working perfectly now.

I`ve noticed as well that software-sources doesn`t start.It asks me for my password which i enter and then nothing happens.

Author:  Brian McElwain [ Wed Mar 01, 2017 12:00 am ]
Post subject:  Re: adding ppa

I've been having the same problems as andyc--including the lack of response once I enter my password to "edit" the "software sources" in the Update Manager.

If it is helpful, in my particular circumstance, I'm trying to update DigiKam to 5.4.0, but i haven't figured out how to get there with UberStudent.

Thanks.

Author:  Damion Lunin [ Sat Mar 04, 2017 12:14 pm ]
Post subject:  Re: DigiKam

Brian McElwain wrote:
I'm trying to update DigiKam to 5.4.0

As UberStudent is a derivative of Xubuntu/Ubuntu LTS, the version of DigiKam (3.5.0) that is available for UberStudent 4.3 is inherited from the Ubuntu 14.04 LTS repositories. Per the DigiKam.org website, the developers of DigiKam recommend that if you want a version of DigiKam newer than what is provided by your operating system to download their official DigiKam Linux AppImage (5.4.0); the DigiKam developers describe this as the easiest way to install the most recent stable version of DigiKam. After downloading their DigiKam AppImage you will probably have to adjust the permissions of the downloaded DigiKam AppImage to be executable. From the Guake terminal (F12) you can download, permit, and execute the DigiKam AppImage with the following three commands:
Code:
damion@uberstudent:~$ wget https://download.kde.org/stable/digikam/digikam-5.4.0-01-x86-64.appimage
damion@uberstudent:~$ chmod a+x digikam-5.4.0-01-x86-64.appimage
damion@uberstudent:~$ ./digikam-5.4.0-01-x86-64.appimage
When first executing the DigiKam AppImage it will ask if you want to integrate the DigiKam AppImage with your system, which will add a new DigiKam entry under Applications > Graphics > Photography.

Author:  Brian McElwain [ Mon Mar 13, 2017 8:11 pm ]
Post subject:  Re: adding ppa

Thanks, Damion Lunin, I tried the path to digiKam 5.4.0 that you outlined and it seemed promising as it installed easily, but it has been repeatedly crashing since. I'm not qualified to diagnose the problem, but my guess is that in the jump from 4.14 to 5.0, digiKam moved beyond compatibility with UberStudent 4.3. However, if you have any other thoughts about this, I'm interested.

Author:  Damion Lunin [ Tue Mar 14, 2017 9:32 am ]
Post subject:  Re: DigiKam Crashes

Brian McElwain wrote:
I tried the path to digiKam 5.4.0 that you outlined and it seemed promising as it installed easily, but it has been repeatedly crashing since.

As the DigiKam developers have the best understanding of DigiKam's requirements and diagnosis of its crashes, I recommend reporting these crashes to DigiKam Support.

Author:  biplabro [ Wed Mar 22, 2017 7:51 am ]
Post subject:  Re: adding ppa

andyc wrote:
Thanks very much its working perfectly now.

I`ve noticed as well that software-sources doesn`t start.It asks me for my password which i enter and then nothing happens.

The same thing happens to me. Cannot view/edit the software sources from the update manager GUI. Any suggested fix?

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/